<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

if (!class_exists('Xoonips_AssetPreloadBase')) {
  $mydirpath = dirname(dirname(__FILE__));
  require $mydirpath.'/mytrustdirname.php'; // set $mytrustdirname
  require_once XOOPS_TRUST_PATH . '/modules/' . $mytrustdirname . '/preload/AssetPreload.class.php';
  Xoonips_AssetPreloadBase::prepare(basename(dirname(dirname(__FILE__))));
}
if (!class_exists('Xoonips_MultiLanguagePreload')) {
  require XOOPS_ROOT_PATH .'/modules/xoonips/mytrustdirname.php'; // set $mytrustdirname
  require_once XOOPS_TRUST_PATH . '/modules/' . $mytrustdirname . '/preload/MultiLanguagePreload.class.php';
  Xoonips_MultiLanguagePreload::prepare('xoonips');
}
